Buypeeb
===

i figured, may as well try and learn c#

0uo

## installing prerequisites
you will need either:
- [mono](https://www.mono-project.com/download/stable/) and [gtk sharp 3](https://github.com/GtkSharp/GtkSharp/)
- [dotnet core sdk](https://dotnet.microsoft.com/)

### debian
#### mono
the packages you'll need are `mono-devel` and `gtk-sharp3`, so:
```
sudo apt install mono-devel gtk-sharp3
```
#### dotnet
follow [these instructions](https://docs.microsoft.com/en-us/dotnet/core/install/linux-debian) to add the dotnet repo and install dotnet-sdk.

### arch linux
#### mono
```
sudo pacman -S mono gtk-sharp-3
```
#### dotnet
```
sudo pacman -S dotnet-sdk
```

### windows
- download and install ".NET Core SDK" from [this page](https://dotnet.microsoft.com/download)
- run `dotnet build` - this *should* pull in gtk3 automatically - if not, you'll need to [install it yourself](https://github.com/tschoonj/GTK-for-Windows-Runtime-Environment-Installer/releases/latest)

this will install and use .NET core instead of mono but as far as i know it should be fine. don't try to use mono or you will die

## compiling
### mono
```
mcs -pkg:gtk-sharp-3.0 -resource:ui.glade *.cs
```
### dotnet
```
dotnet build
```

## running
### mono
```
mono ./BuypeebApp.exe
```
### dotnet
```
dotnet run
```
